Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055229 - overlay org.jboss.ejb.client.EJBClientInterceptor did not work as expected if the application did not contains this descriptor
Summary: overlay org.jboss.ejb.client.EJBClientInterceptor did not work as expected if...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB, Microcontainer and Deployers
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: DR3
: EAP 6.4.0
Assignee: baranowb
QA Contact: Jan Martiska
URL:
Whiteboard:
Depends On: 1145364
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-19 17:30 UTC by wfink
Modified: 2018-12-04 17:02 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFCORE-46 Major Resolved Fix intermittent failures in DeploymentOverlayCLITestCase 2016-03-29 22:34:20 UTC
JBoss Issue Tracker WFCORE-83 Major Resolved EAR deployment overlay did not work if there is no related resource included in the ear 2016-03-29 22:34:20 UTC

Description wfink 2014-01-19 17:30:36 UTC
If the application ejb deployment contains the org.jboss.ejb.client.EJBClientInterceptor file it is possible to overlay it.

But if there is no file within the deployed application the overlay does not has an effect.
This is different to i.e ejb-jar.xml where the overlay works nevertheless whether this descriptor is available in the ejb.jar or not.

A reproducer based on the ejb-multi-server quickstart is available here : https://github.com/wfink/jboss-eap-quickstarts/tree/test_overlay1
Please read the BUG_README.txt

Comment 9 Jan Martiska 2014-12-10 13:01:19 UTC
Verified in 6.4.0.DR13.


Note You need to log in before you can comment on or make changes to this bug.